# eric6.Helpviewer.HelpUtilities

Module implementing some global helper functions.

### Global Attributes

None

### Classes

None

### Functions

ensureUniqueFilename | Module function to generate an unique file name based on a pattern.
filterCharsFromFilename | Module function to filter illegal characters.
getFileNameFromUrl | Module function to generate a file name based on the given URL.

## ensureUniqueFilename

ensureUniqueFilename(name, appendFormat="({0})")

Module function to generate an unique file name based on a pattern.

name
  desired file name (string)
appendFormat
  format pattern to be used to make the unique name (string)

Returns:
  unique file name

Up

## filterCharsFromFilename

filterCharsFromFilename(name)

Module function to filter illegal characters.

name
  name to be sanitized (string)

Returns:
  sanitized name (string)

Up

## getFileNameFromUrl

getFileNameFromUrl(url)

Module function to generate a file name based on the given URL.

url
  URL (QUrl)

Returns:
  file name (string)

Up